unit Ufrmgopage;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Spin;

type
  Tfrmgopage = class(TForm)
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label2: TLabel;
    procedure FormShortCut(var Msg: TWMKey; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmgopage: Tfrmgopage;

implementation

{$R *.dfm}

procedure Tfrmgopage.FormShortCut(var Msg: TWMKey; var Handled: Boolean);
begin
  case msg.CharCode of
    vk_return: self.ModalResult:=mrok;
    vk_escape: self.ModalResult:=mrcancel;
  end;
end;

end.
